description = "登录星尘织梦工具市场账号"

prompt = """
帮助用户登录星尘织梦工具市场。

用户输入：{{args}}

## 登录流程

### 1. 选择登录方式
询问用户选择：
- 账号密码登录
- 扫码登录
- API Key登录

### 2. 执行认证

#### 账号密码方式
1. 获取用户邮箱
2. 安全输入密码（不显示明文）
3. 调用认证API
4. 保存加密token

#### 扫码方式
1. 生成登录二维码
2. 提示用户扫码
3. 等待确认
4. 获取token

#### API Key方式
1. 获取API Key
2. 验证有效性
3. 保存认证信息

### 3. 验证状态
显示登录结果：
- 用户名
- 订阅类型
- 可用模板数
- 有效期

## 命令选项
- 无参数：交互式登录
- --email：指定邮箱
- --api-key：使用API Key
- --status：查看状态
- --logout：退出登录

## 错误处理
- 401：密码错误，请重试
- 403：账号被锁，联系客服
- 429：登录频繁，5分钟后重试
- 500：服务器错误，稍后重试

## 完成提示
✅ 登录成功！可以使用 /stardust-list 查看可用模板。
"""